Package org.eclipse.net4j.db

## Interface IDBSchemaTransaction

- All Superinterfaces:
    `org.eclipse.net4j.util.collection.Closeable`

      public interface IDBSchemaTransaction
      extends org.eclipse.net4j.util.collection.Closeable

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IDBDeltaVisitor.Filter.Policy` | `DEFAULT_ENSURE_SCHEMA_POLICY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IDBSchemaDelta` | `commit()` |
    `IDBSchemaDelta` | `ensureSchema​(IDBSchema schema)` |
    `IDBSchemaDelta` | `ensureSchema​(IDBSchema schema, IDBDeltaVisitor.Filter.Policy policy)` |
    `IDBConnection` | `getConnection()` |
    `IDBDatabase` | `getDatabase()` |
    `IDBSchemaDelta` | `getSchemaDelta()` |
    `IDBSchema` | `getWorkingCopy()` |

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Field Detail

    - #### DEFAULT_ENSURE_SCHEMA_POLICY

          static final IDBDeltaVisitor.Filter.Policy DEFAULT_ENSURE_SCHEMA_POLICY

  - ### Method Detail

    - #### getDatabase

          IDBDatabase getDatabase()

    - #### getConnection

          IDBConnection getConnection()

    - #### getWorkingCopy

          IDBSchema getWorkingCopy()

    - #### ensureSchema

          IDBSchemaDelta ensureSchema​(IDBSchema schema,
                                      IDBDeltaVisitor.Filter.Policy policy)

    - #### ensureSchema

          IDBSchemaDelta ensureSchema​(IDBSchema schema)

    - #### getSchemaDelta

          IDBSchemaDelta getSchemaDelta()

    - #### commit

          IDBSchemaDelta commit()